<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: David Gtl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."admin_add_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."admin_add_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."admin_add_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."admin_add_panel/locale/German.php";
}

// Infusion general information
$inf_title = $lang['add300'];
$inf_description = "Administration - Erweiterung fr PHP-Fusion Core7";
$inf_version = "2.0";
$inf_developer = "@ster (Stefan Noss)";
$inf_email = "webmaster@edsterathome.de";
$inf_weburl = "http://www.edsterathome.de/";

$inf_folder = "admin_add_panel"; // The folder in which the infusion resides.

// DATENBANK TABELLEN ERSTELLEN 
$inf_newtable[1] = AD1." (
add_id tinyint(2) unsigned NOT NULL auto_increment,
add_rights char(2) NOT NULL default '',
add_image varchar(50) NOT NULL default '',
add_title varchar(50) NOT NULL default '',
add_link varchar(100) NOT NULL default 'reserved',
add_page tinyint(1) unsigned NOT NULL default '1',
PRIMARY KEY  (`add_id`)
) TYPE=MyISAM;";

$inf_newtable[2] = AD2." (
add_quick tinyint(1) unsigned NOT NULL default '1',
PRIMARY KEY  (`add_quick`)
) TYPE=MyISAM;";

// DATEN IN TABELLE EINFGEN
$inf_insertdbrow[1] = AD2." (add_quick) VALUES ('1')";

$inf_droptable[1] = AD1;
$inf_droptable[2] = AD2;

$inf_altertable[1] = "";

$inf_deldbrow[1] = "";

$inf_adminpanel[1] = array(
	"title" => $lang['add300'],
	"image" => "infusions.gif",
	"panel" => "admin/admin.php",
	"rights" => "AD1"
);


?>